## ros-lunar-tf2 0.5.20

=== debian/changelog ===
ros-lunar-tf2 (0.5.20-0xenial) xenial; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 16 Nov 2018 08:00:00 -0000

ros-lunar-tf2 (0.5.19-0xenial) xenial; urgency=high

  * fix issue #315 <https://github.com/ros/geometry2/issues/315>
  * fixed nan interpoaltion issue
  * Contributors: Keller Fabian Rudolf (CC-AD/EYC3), Kuang Fangjun

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 06 Nov 2018 08:00:00 -0000

ros-lunar-tf2 (0.5.18-0xenial) xenial; urgency=high

  * preserve constness of const argument to avoid warnings (#307 <https://github.com/ros/geometry2/issues/307>)
  * Change comment style for unused doxygen (#297 <https://github.com/ros/geometry2/issues/297>)
  * Contributors: Jacob Perron, Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 10 Jul 2018 07:00:00 -0000

ros-lunar-tf2 (0.5.17-0xenial) xenial; urgency=high

  * Merge pull request #278 <https://github.com/ros/geometry2/issues/278> from ros/chain_as_vec_test2
    Clean up results of _chainAsVector
  * Simple test to check BufferCore::_chainAsVector.
    Unit tests for walk and chain passing now.
  * Merge pull request #267 <https://github.com/ros/geometry2/issues/267> from at-wat/speedup-timecache-for-large-buffer
    Speed-up TimeCache search for large cache time.
  * Merge pull request #265 <https://github.com/ros/geometry2/issues/265> from vsherrod/interpolation_fix
    Corrected time output on interpolation function.
  * Add time_interval option to tf2 speed-test.
  * Merge pull request #269 <https://github.com/ros/geometry2/issues/269> from ros/frames_as_yaml
    allFrameAsYaml consistently outputting a dict
  * resolve https://github.com/ros/geometry/pull/153 at the source instead of needing the workaround.
  * Speed-up TimeCache search for large cache time.
  * Modified tests for correct time in interpolation to existing tests.
  * Corrected time output on interpolation function.
    Added unit test to check for this.
  * Contributors: Atsushi Watanabe, Miguel Prada, Tully Foote, Vallan Sherrod

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 01 Jan 2018 08:00:00 -0000

ros-lunar-tf2 (0.5.16-0xenial) xenial; urgency=high

  * remove explicit templating to standardize on overloading. But provide backwards compatibility with deprecation.
  * Merge pull request #144 <https://github.com/ros/geometry2/issues/144> from clearpathrobotics/dead_lock_fix
    Solve a bug that causes a deadlock in MessageFilter
  * Resolve 2 places where the error_msg would not be propogated.
    Fixes #198 <https://github.com/ros/geometry2/issues/198>
  * Remove generate_rand_vectors() from a number of tests. (#227 <https://github.com/ros/geometry2/issues/227>)
  * fixing include directory order to support overlays (#231 <https://github.com/ros/geometry2/issues/231>)
  * replaced dependencies on tf2_msgs_gencpp by exported dependencies
  * Document the lifetime of the returned reference for getFrameId getTimestamp
  * relax normalization tolerance. #196 <https://github.com/ros/geometry2/issues/196> was too strict for some use cases. (#220 <https://github.com/ros/geometry2/issues/220>)
  * Solve a bug that causes a deadlock in MessageFilter
  * Contributors: Adel Fakih, Chris Lalancette, Christopher Wecht, Tully Foote, dhood

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 14 Jul 2017 07:00:00 -0000

ros-lunar-tf2 (0.5.15-0xenial) xenial; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 24 Jan 2017 08:00:00 -0000

ros-lunar-tf2 (0.5.14-0xenial) xenial; urgency=high

  * fixes #194 <https://github.com/ros/geometry2/issues/194> check for quaternion normalization before inserting into storage (#196 <https://github.com/ros/geometry2/issues/196>)
    * check for quaternion normalization before inserting into storage
    * Add test to check for transform failure on invalid quaternion input
  * updating getAngleShortestPath() (#187 <https://github.com/ros/geometry2/issues/187>)
  * Move internal cache functions into a namespace
    Fixes https://github.com/ros/geometry2/issues/175
  * Link properly to convert.h
  * Landing page for tf2 describing the conversion interface
  * Fix comment on BufferCore::MAX_GRAPH_DEPTH.
  * Contributors: Jackie Kay, Phil Osteen, Tully Foote, alex, gavanderhoorn

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 16 Jan 2017 08:00:00 -0000

ros-lunar-tf2 (0.5.13-0xenial) xenial; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 04 Mar 2016 08:00:00 -0000

ros-lunar-tf2 (0.5.12-0xenial) xenial; urgency=high

  * add utilities to get yaw, pitch, roll and identity transform
  * provide more conversions between types
    The previous conversion always assumed that it was converting a
    non-message type to a non-message type. Now, one, both or none
    can be a message or a non-message.
  * Contributors: Vincent Rabaud

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 05 Aug 2015 07:00:00 -0000

ros-lunar-tf2 (0.5.11-0xenial) xenial; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 22 Apr 2015 07:00:00 -0000

ros-lunar-tf2 (0.5.10-0xenial) xenial; urgency=high

  * move lct_cache into function local memoryfor #92 <https://github.com/ros/geometry_experimental/issues/92>
  * Clean up range checking. Re: #92 <https://github.com/ros/geometry_experimental/issues/92>
  * Fixed chainToVector
  * release lock before possibly invoking user callbacks. Fixes #91 <https://github.com/ros/geometry_experimental/issues/91>
  * Contributors: Jackie Kay, Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 21 Apr 2015 07:00:00 -0000

ros-lunar-tf2 (0.5.9-0xenial) xenial; urgency=high

  * fixing edge case where two no frame id lookups matched in getLatestCommonTime
  * Contributors: Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 25 Mar 2015 07:00:00 -0000

ros-lunar-tf2 (0.5.8-0xenial) xenial; urgency=high

  * change from default argument to overload to avoid linking issue #84 <https://github.com/ros/geometry_experimental/issues/84>

